package com.ruoyi.dz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 老师对象 dz_teacher
 *
 * @author ruoyi
 * @date 2025-09-12
 */
public class DzTeacher extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 老师id */
    private Long teacherId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 机构ID */
    @Excel(name = "机构ID")
    private Long deptId;

    /** 所在校区 */
    @Excel(name = "所在校区")
    private Long schoolId;
    //培训校区
    private Long campusId;

    /** 教师姓名 */
    @Excel(name = "教师姓名")
    private String name;


    private String username;
    private String deptName;
    private String schoolName;
    private String campusName;

    public String getCampusName() {
        return campusName;
    }

    public void setCampusName(String campusName) {
        this.campusName = campusName;
    }

    public Long getCampusId() {
        return campusId;
    }

    public void setCampusId(Long campusId) {
        this.campusId = campusId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public DzTeacher setTeacherId(Long teacherId)
    {
        this.teacherId = teacherId;
        return this;
    }

    public Long getTeacherId()
    {
        return teacherId;
    }

    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public void setSchoolId(Long schoolId)
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId()
    {
        return schoolId;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("teacherId", getTeacherId())
            .append("userId", getUserId())
            .append("schoolId", getSchoolId())
            .append("name", getName())
            .toString();
    }
}
